package com.steering.pss.qcm.model;

/**
 * 数据库表COM_MSC_R_BL_SPEC所对应的实体类（生成工具：代码生成器2.4）
 * @author Chenxi-PC   date 2015-06-11
 */
public class ComMscRBlSpecEntity {
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;
    /**
     * 冶金规范码
     */
    private String msc;
    /**
     * 组号
     */
    private String groupNum;
    /**
     * 流水号
     */
    private String rowIndex;
    /**
     * 产品规格代码（规格类型=其它）
     */
    private String specCode;
    /**
     * 产品规格描述
     */
    private String specName;
    /**
     * 适用成品壁厚最小值
     */
    private String minH;
    /**
     * 适用成品壁厚最大值
     */
    private String maxH;
    /**
     * 适用成品外径最小值
     */
    private String minD;
    /**
     * 适用成品外径最大值
     */
    private String maxD;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    private String pscBl = "";
    private String modelCode = "";
	private String modelDesc = "";

	public ComMscRBlSpecEntity(){
        deleteTime = "";
        validflag = "";
        memo = "";
        msc = "";
        groupNum = "";
        rowIndex = "";
        specCode = "";
        specName = "";
        minH = "";
        maxH = "";
        minD = "";
        maxD = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 冶金规范码
     * @return value
     */
    public String getMsc() {
        return msc;
    }

    /**
     * 冶金规范码
     * @param msc value
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }

    /**
     * 组号
     * @return value
     */
    public String getGroupNum() {
        return groupNum;
    }

    /**
     * 组号
     * @param groupNum value
     */
    public void setGroupNum(String groupNum) {
        this.groupNum = groupNum;
    }

    /**
     * 流水号
     * @return value
     */
    public String getRowIndex() {
        return rowIndex;
    }

    /**
     * 流水号
     * @param rowIndex value
     */
    public void setRowIndex(String rowIndex) {
        this.rowIndex = rowIndex;
    }

    /**
     * 产品规格代码（规格类型=其它）
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码（规格类型=其它）
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 适用成品壁厚最小值
     * @return value
     */
    public String getMinH() {
        return minH;
    }

    /**
     * 适用成品壁厚最小值
     * @param minH value
     */
    public void setMinH(String minH) {
        this.minH = minH;
    }

    /**
     * 适用成品壁厚最大值
     * @return value
     */
    public String getMaxH() {
        return maxH;
    }

    /**
     * 适用成品壁厚最大值
     * @param maxH value
     */
    public void setMaxH(String maxH) {
        this.maxH = maxH;
    }

    /**
     * 适用成品外径最小值
     * @return value
     */
    public String getMinD() {
        return minD;
    }

    /**
     * 适用成品外径最小值
     * @param minD value
     */
    public void setMinD(String minD) {
        this.minD = minD;
    }

    /**
     * 适用成品外径最大值
     * @return value
     */
    public String getMaxD() {
        return maxD;
    }

    /**
     * 适用成品外径最大值
     * @param maxD value
     */
    public void setMaxD(String maxD) {
        this.maxD = maxD;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }
    
    public String getPscBl() {
		return pscBl;
	}

	public void setPscBl(String pscBl) {
		this.pscBl = pscBl;
	}
	
	public String getModelCode() {
		return modelCode;
	}

	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	public String getModelDesc() {
		return modelDesc;
	}

	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}
}
